#!/bin/csh -x
#
#@ job_name         = tracer_SOC_patches_ml_src8test_2
#@ output           = $(job_name).log
#@ error            = $(job_name).log
#@ restart          = yes
#@ job_type         = serial
#@ environment      = COPY_ALL
#@ notification     = never
#@ wall_clock_limit = 4:00:00
#@ class            = psmall
#@ queue


#
set echo
#source ${HOME}/.profile_zulema
#set timestamp
#
# --- post-processing lagrangian floats from a sequence of archive files
#
C
C ---  R  is region directory
C ---  T  is topography number
C ---  D  is data directory containing the archives
C ---  E  is experiment number
C ---  YS is start year
C ---  DS is start day
C ---  YE is endt year
C ---  DE is end day
C ---  DT is time interval between archive files
C
date
setenv R SOCt0.08
setenv T 05
setenv E  011
setenv X  01.1
setenv YS 0006
setenv YE 0006
setenv HT 24.0
setenv HI  1.0
setenv iidm 4500
setenv jjdm 1250


setenv itest 3550
setenv jtest 950

setenv DS 007
setenv DE2 012
setenv DE `echo $DE2 | awk '{printf("%3.3d", $1 - 1)}'`
setenv D1  ~${user}/hycom/${R}/tracer
setenv D  /scratch/$user/hycom/${R}/expt_${X}/data2/
#
cd $D
touch regional.depth.a regional.depth.b
  /bin/rm regional.depth.a
  /bin/ln -s ~/hycom/${R}/topo/depth_${R}_${T}.a regional.depth.a
  /bin/rm regional.depth.b
  /bin/ln -s ~/hycom/${R}/topo/depth_${R}_${T}.b regional.depth.b

touch regional.grid.a regional.grid.b
  /bin/rm regional.grid.a
  /bin/ln -s ~/hycom/${R}/topo/regional.grid.a .
  /bin/rm regional.grid.b
  /bin/ln -s ~/hycom/${R}/topo/regional.grid.b .

setenv case patches_ml_src8test
rm -f restart_tracr.out.[a,b]
cp restart_out_${YS}_${DS}_00.a restart_tracr_in.a
cp restart_out_${YS}_${DS}_00.b restart_tracr_in.b


#
~/hycom/ALL1/tracer/src8test/tracers << E-o-D
${E}_archm.${YS}_${DS}_12.a
${E}_archm.${YE}_${DE}_12.a
${E}_archv.${YS}_${DS}_00.a
${E}_archv.${YE}_${DE2}_00.a
 ${E}     'iexpt ' = experiment number x10
   2      'yrflag' = days in year flag (0=360,  1=366,  2=366J1, 3=actual)
 ${HT}    'archfq' = number of hours between archive input
  ${HI}    'archin' = number of hours between archive input
$iidm     'idm   ' = longitudinal array size
$jjdm     'jdm   ' = latitudinal  array size
  32      'kdm   ' = number of layers
  32      'kk    ' = actual number of top layers used
 34.0     'thbase' = reference sigma
  1       'ntracr' = number of tracers
  1       'tracin' = 0:init. to zero; 1:from restart_tracr_in.a,b; 2:from relax.tracer.a,b
  1       'mxlflg' = 0:no extra mixing in mixed layer; 1: instantaneous homog of mixed layer
  ${HT}   'restfq' = number of hours for tracer restart, multiple of archfq
  2       'iord  ' = 1:simple donnor cell; 2: complete with antidiffusive fluxes
 $itest      'itest ' = i for printout
 $jtest      'jtest ' = j for printout
E-o-D
date
mkdir -p $D1/case_${case}
cp restart_out_${YE}_${DE2}_00.a ${D1}/case_${case}/restart_out_${YE}_${DE2}_00_${case}.a 
cp restart_out_${YE}_${DE2}_00.b ${D1}/case_${case}/restart_out_${YE}_${DE2}_00_${case}.b
cd $D1
#llsubmit  SOC4_ml_2.com
